Jifty::Server::Prefork::NetServer(3)

NAME
Jifty::Server::Prefork::NetServer - Sets up children for Jifty::Server::Prefork

METHODS

  new
Store the created Net::Server::PreFork object away after creating it.

  pre_loop_hook
Tear down the database connection before falling into the accept loop, so that there is no shared database connection for children to inherit.

  child_init_hook
Sets up the database connection when spawning a new child.

  log
Log messages should use Jifty's Log::Log4perl infrastructure, not STDERR.